Skip to main content
FrogBot exposes an OpenAI-compatible API. If you’re already using OpenAI’s SDK, you can switch to FrogBot by changing the base URL and API key.

Chat and messages

POST /v1/chat/completions

Create a chat completion with streaming, tool calling, and MCP support

POST /v1/messages

Anthropic-compatible messages API with streaming support

Embeddings and retrieval

POST /v1/embeddings

Generate vector embeddings from text

POST /v1/rerank

Rerank documents by relevance to a query

Audio

POST /v1/audio/transcriptions

Transcribe audio files to text

POST /v1/audio/speech

Generate spoken audio from text

Images

POST /v1/images/generations

Generate images from a text prompt

Platform

GET /v1/models

Return supported model metadata

GET /v1/quota

Check current 5-hour spend window usage